using System;
//using SystemFramework;
using MesServerWork;

namespace MesServerFunctions
{
    partial class Functions_BASE_WebSubmit
    {
        /// <summary>
        /// 合格放行
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        private void ConfirmOkGo(object e)
        {
            try
            {
                DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                string OpName = Convert.ToString(msgEvent.OpName);
                int tagValue = Convert.ToInt32(msgEvent.TagValue);

                if (tagValue == 1)
                {
                    MIS_BASE.Write_MaterialVerifyOver(OpName, true);//工作完成
                    SendInfomation("OrderFormList","1", OpName);
                    
                }
            }
            catch (Exception err)
            {
                ////ApplicationLog.WriteLog(err, "Function08:ConfirmOkGo");
            }
        }
    }
}
